
function WeekKeys.DB.GetFriends(DB, tbl)
    if not DB then
        return
    end
    tbl = tbl or {}
    local index = 1
    tbl[1] = wipe(tbl[1] or {}) -- faction
    tbl[2] = wipe(tbl[2] or {}) -- name
    tbl[3] = wipe(tbl[3] or {}) -- realm
    tbl[4] = wipe(tbl[4] or {}) -- 
    tbl[5] = wipe(tbl[5] or {})
    tbl[6] = wipe(tbl[6] or {})

    for tag,_ in pairs(DB) do
        tbl[2][index] = tag
        index = index + 1
    end
    return tbl
end

function WeekKeys.DB.GetCharsByFriend(DB, tbl, battletag)
    if not DB or not DB[battletag] then
        return
    end
    tbl = tbl or {}

    tbl[1] = wipe(tbl[1] or {}) -- faction
    tbl[2] = wipe(tbl[2] or {}) -- name
    tbl[3] = wipe(tbl[3] or {}) -- ilvl
    tbl[4] = wipe(tbl[4] or {}) -- record
    tbl[5] = wipe(tbl[5] or {}) -- keystone

    for index,player in ipairs(DB[battletag]) do
        tbl[1][index] = player.faction
        local _, classFile, _ = GetClassInfo(player.classID)
        local _, _, _, argbHex = GetClassColor(classFile)
        tbl[2][index] = "|c"..argbHex..player.name.."|r"
        tbl[3][index] = player.ilvl
        tbl[4][index] = player.record
        if player.keyID then
            
            tbl[5][index] = string.format("%s (%d)",C_ChallengeMode.GetMapUIInfo(player.keyID), player.keyLevel)
           --[[ if player.keyID == 375 or player.keyID == 377 then
                tbl[5][index] = "|Tinterface/icons/ui_sigil_nightfae.blp:20:20|t" .. tbl[5][index] 
            elseif player.keyID == 376 or player.keyID == 381 then
                tbl[5][index] = "|Tinterface/icons/ui_sigil_kyrian.blp:20:20|t" .. tbl[5][index]
            elseif player.keyID == 378 or player.keyID == 380 then
                tbl[5][index] =  "|Tinterface/icons/ui_sigil_venthyr.blp:20:20|t" .. tbl[5][index] 
            elseif player.keyID == 379 or player.keyID == 382 then
                tbl[5][index] =  "|Tinterface/icons/ui_sigil_necrolord.blp:20:20|t" .. tbl[5][index]
            end]]
        else
            tbl[5][index] = ""
        end
        index = index + 1
    end

    return tbl
end